uuid: 6683fa3d-0048-49b8-b287-92dfaa80f18b
langcode: en
status: true
dependencies: {  }
id: gronze_node_foto_fields
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - node
  - gronze
  - foto
  - level3
migration_group: gronze_node_fields
label: 'Foto nodes fields migration from Gronze D7'
source:
  high_water_property:
    name: vid
    alias: 'n'
  plugin: d7_node_gronze
  node_type: foto
process:
  changed: changed
  nid:
    plugin: migration_lookup
    migration: gronze_node_foto
    source: nid
    no_stub: true
  body/value: body/0/value
  body/summary: body/0/summary
  body/format:
    plugin: text_format_map
    source: body/0/format
  field_image:
    plugin: sub_process
    source: field_imatge_tamany_natural
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_media_image
        source: fid
        no_stub: true
  field_ref_tag:
    plugin: sub_process
    source: field_tags
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_tags
        source: tid
        no_stub: true
  field_ref_camino:
    plugin: sub_process
    source: field_ref_caminos
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_node_caminos
        source: target_id
        no_stub: true
  field_ref_related_content:
    plugin: sub_process
    source: field_contenido_relacionado
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_node_alojamiento
          - gronze_node_article
          - gronze_node_caminos
          - gronze_node_etapas
          - gronze_node_page
        source: target_id
        no_stub: true
  field_ref_location:
    plugin: sub_process
    source: field_localidades_relacionadas
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_taxonomy_locations
          - gronze_taxonomy_regions
        source: target_id
        no_stub: true
destination:
  plugin: 'entity:node'
  default_bundle: photo
migration_dependencies:
  required:
    - gronze_node_foto
    - gronze_media_image
    - gronze_taxonomy_tags
    - gronze_taxonomy_locations
    - gronze_taxonomy_regions
    - gronze_node_caminos
    - gronze_node_alojamiento
    - gronze_node_article
    - gronze_node_etapas
    - gronze_node_page
